Plans

Share a plan with a workspace member

POST
/v1/projects/{projectSlug}/plans/{planShortId}/sharing/collaborators

Authorization

bearerAuth
AuthorizationBearer <token>

A personal API key (psk_…) or an OAuth access token (plan_at_…). Scopes: read, write.

In: header

Path Parameters

projectSlug*string

Project slug, e.g. recipe-box.

planShortId*string

Plan handle within the project, e.g. PLAN-12.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/projects/string/plans/string/sharing/collaborators" \  -H "Content-Type: application/json" \  -d '{    "role": "VIEWER"  }'
{  "collaborator": {    "userId": "string",    "role": "VIEWER"  },  "rootPlanId": "string"}